Error codes
Infrastructure

## Typedefs

typedef s8_t | err_t

## Enumerations

enum | err_enum_t { ERR_OK = 0, ERR_MEM = -1, ERR_BUF = -2, ERR_TIMEOUT = -3, ERR_RTE = -4, ERR_INPROGRESS = -5, ERR_VAL = -6, ERR_WOULDBLOCK = -7, ERR_USE = -8, ERR_ALREADY = -9, ERR_ISCONN = -10, ERR_CONN = -11, ERR_IF = -12, ERR_ABRT = -13, ERR_RST = -14, ERR_CLSD = -15, ERR_ARG = -16 }

## Detailed Description

## Typedef Documentation

## err_t

typedef s8_t err_t

Define LWIP_ERR_T in cc.h if you want to use a different type for your platform (must be signed).

## Enumeration Type Documentation

## err_enum_t

enum err_enum_t

Definitions for error constants.

Enumerator
ERR_OK | No error, everything OK.
ERR_MEM | Out of memory error.
ERR_BUF | Buffer error.
ERR_TIMEOUT | Timeout.
ERR_RTE | Routing problem.
ERR_INPROGRESS | Operation in progress
ERR_VAL | Illegal value.
ERR_WOULDBLOCK | Operation would block.
ERR_USE | Address in use.
ERR_ALREADY | Already connecting.
ERR_ISCONN | Conn already established.
ERR_CONN | Not connected.
ERR_IF | Low-level netif error
ERR_ABRT | Connection aborted.
ERR_RST | Connection reset.
ERR_CLSD | Connection closed.
ERR_ARG | Illegal argument.